Page MenuHomePhabricator

localrepo: introduce a clone_requirements function
ClosedPublic

Authored by marmoute on Jun 9 2021, 10:37 AM.

Details

Summary

This function take a source repository and return a relevant set of
requirements that should be used by a copy clone.

This will help make the creation of the destination repository during copy
clone simpler.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jun 9 2021, 10:37 AM
pulkit accepted this revision.Jun 14 2021, 4:42 PM
This revision is now accepted and ready to land.Jun 14 2021, 4:42 PM
baymax updated this revision to Diff 28571.Jun 15 2021, 10:23 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jun 16 2021, 3:52 AM
baymax updated this revision to Diff 28619.Jun 21 2021, 1:09 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.